Windshield Lookup API Documentation
Welcome to Vehicle Databases API's Documentation
Windshield Lookup
GETJSON ResponseOverview
This API returns detailed windshield specifications for a given vehicle using its VIN. The response includes the vehicle’s year, make, and model, NAGS, along with a list of compatible windshields.
- COVERAGE
- This API supports US/Canada VIN from year 1999 - present
- SUPPORT
- Works for all 17 digit VINs based in US and Canada region.
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/windshield-api/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/windshield-api/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"vin": "1FMCU9H61LUA94994",
"year": "2020",
"make": "Ford",
"model": "Escape",
"windshields": [
{
"nags_number": "DW02544",
"oem_numbers": [
"LJ6Z7803100A",
"LJ6Z7803100E",
"LJ6Z7803100F",
"LJ6Z7803100L"
],
"features": [
"Lane Departure"
],
"calibrations": "Dynamic calibration"
},
{
"nags_number": "DW02742",
"oem_numbers": [
"LJ6Z7803100D",
"LJ6Z7803100J",
"LJ6Z7803100K",
"LJ6Z7803100M"
],
"features": [
"Rain Sensor",
"Lane Departure"
],
"calibrations": "Dynamic calibration"
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the VIN is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.